#include "meshthumbnail.h"
#include <QString>
#include <QImage>
#include <QTemporaryFile>
#include <QProcess>

extern "C"
{
	KDE_EXPORT ThumbCreator *new_creator()
	{
		return new MeshCreator;
	}
}

bool MeshCreator::create(const QString& path, int width, int height, QImage& img)
{
	QTemporaryFile pngTempFile;

	if (!pngTempFile.open())
		return false;

	// render mesh to png(path, pngTempFile.fileName, width, height);
	QProcess qmeshviewer;
	qmeshviewer.start("qmeshviewer", QStringList() << path << "-r" << pngTempFile.fileName() << "-w" << QString::number(width) << "-h" << QString::number(height));
	qmeshviewer.waitForFinished();

	if (qmeshviewer.exitCode() != 0)
		return false;


	if (!img.load(pngTempFile.fileName()))
		return false;

	if (img.isNull())
		return false; 

	return true;
	// actually create the thumbail! 
}

